#!/usr/bin/env python 

from distutils.core import setup 
import sys 
import os

def main(): 
    
    share_path = os.path.join(os.path.dirname(os.path.abspath(__file__)),
            "share")
    
    black_list = ["index.theme","index.theme~"]
    data_files = []
    for path, dirs, files in os.walk(share_path):
        # please note that empty directories are not included, since distutils does not support them
        data_files.append((path.replace(share_path, "share", 1),
            [os.path.join(path, file) for file in files if file not in black_list]))
    # data_files is a list of tuples to be passed to setup
    
        
    setup( name="metacity-themer", # this should start with a lowercase letter  
        #so that it can be used as a debian package name later on 
    version="0.1.3", # string, version of your program, not python version 
    description="Metacity theme editor", # short 
    author="Isaiah Heyer", 
    author_email="freshapplepy@gmail.com", 
    url="https://launchpad.net/mct", # home page for end-users 
    license="GPL v3", 
    # python packages, not debian packages 
    packages=["metacity_themer"],
    data_files=data_files,# + [
        #(sys.prefix+'/share/applications', [os.path.join(share_path,
        #    'applications/metacity-themer.desktop')])], 
    
    # data_files is a list of tuples 
    # each tuple contaning an installation path and a list of data files 
    scripts=["bin/metacity-themer"], # the script that should be run and installed in /usr/bin 
    long_description="""Edit Metacity window decoration themes (Ubuntu uses these) and see the changes in real time.""")

if __name__ == "__main__": 
    main() 
